@echo off
rem APPLY-4.1.2-patch1_nl.bat 1.0.0   UTF-8                       2016-08-22
rem -----1---------2---------3---------4---------5---------6---------7-------*
rem 
rem Licensed to the Apache Software Foundation (ASF) under one
rem or more contributor license agreements.  See the NOTICE file
rem distributed with this work for additional information
rem regarding copyright ownership.  The ASF licenses this file
rem to you under the Apache License, Version 2.0 (the
rem "License"); you may not use this file except in compliance
rem with the License.  You may obtain a copy of the License at
rem
rem  http://www.apache.org/licenses/LICENSE-2.0
rem
rem Unless required by applicable law or agreed to in writing,
rem software distributed under the License is distributed on an
rem "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
rem KIND, either express or implied.  See the License for the
rem specific language governing permissions and limitations
rem under the License.
rem
rem -----1---------2---------3---------4---------5---------6---------7-------*

rem ANNOUNCE THIS SCRIPT
TITLE APACHE OPENOFFICE 4.1.2-PATCH1 PROCEDURE (NEDERLANDS)
COLOR 71
rem   Soft white background with blue text
CLS
ECHO:
ECHO * 1.0.0 PAS 4.1.2-PATCH1 TOE OP APACHE-OPENOFFICE 4.1.2 OP WINDOWS

rem VERIFY SCRIPT IN SAME LOCATION (%~dp0) AS EXTRACTED ZIP PACKAGE
IF NOT EXIST "%~dp0LICENSE.txt" GOTO :FAIL1
IF NOT EXIST "%~dp0NOTICE.txt" GOTO :FAIL1
IF NOT EXIST "%~dp0README-4.1.2-patch1-Windows_nl.txt" GOTO :FAIL1
IF NOT EXIST "%~dp0REVERT-4.1.2-patch1_nl.bat" GOTO :FAIL1
IF NOT EXIST "%~dp0tl.dll.new" GOTO :FAIL1
IF NOT EXIST "%~dp0tl.dll.new.asc" GOTO :FAIL1
IF NOT EXIST "%~dp0tl.dll.old" GOTO :FAIL1
IF NOT EXIST "%~dp0tl.dll.old.asc" GOTO :FAIL1

rem REPORT APPARENT RESTART
IF NOT DEFINED AOOPATCH GOTO :LOCATE
ECHO:        Een eerdere patch-bewerking zou kunnen zijn onderbroken.

:LOCATE
rem LOCATE X86 PROGRAM FILES
SET AOOPATCH=%ProgramFiles%
IF DEFINED ProgramFiles(x86) SET AOOPATCH=%ProgramFiles(x86)%

rem FIND APACHE OPENOFFICE 
SET AOOPATCH=%AOOPATCH%\OpenOffice 4\program
IF NOT EXIST "%AOOPATCH%\soffice.exe" GOTO :FAIL2
ECHO:        Gevonden %AOOPATCH%
ECHO:        Even wachten svp. Bestanden controleren ...
IF EXIST "%AOOPATCH%\hwp.dll" GOTO :FAIL2

rem    OpenOffice 4.x.x zonder hwp.dll gedetecteerd.  Het is 
rem    waarschijnlijk 4.1.2 hoewel het een ander kan zijn waar 
rem    hwp.dll werd verwijderd door de gebruiker.
rem    Het zou ook een latere versie dan 4.1.2 van OpenOffice 4 
rem      kunnen zijn.

rem VERIFY THAT TL.DLL EXISTS
IF NOT EXIST "%AOOPATCH%\tl.dll" GOTO :NODLL
ECHO:        Bestand tl.dll gevonden ...

rem SEE IF TL.DLL IS THE PATCH
FC /B "%AOOPATCH%\tl.dll" "%~dp0tl.dll.new" >NUL
IF ERRORLEVEL 1 GOTO :NOTPATCHED

rem OPENOFFICE ALREADY HAS THE PATCH 
ECHO:
ECHO:        DE REPARATIE 4.1.2-PATCH1 IS AL TOEGEPAST.
ECHO:
ECHO:        ER WERDEN GEEN WIJZIGINGEN GEMAAKT.
GOTO :CLEAN

:NODLL
rem THERE IS NO TL.DLL.  IT IS EITHER UNNECESSARY OR THERE WAS A MISHAP.
ECHO:        Bestand tl.dll ontbreekt.
rem USE THE ORIGINAL 4.1.2 IF NEEDED
IF EXIST "%AOOPATCH%\tl.dll.old" GOTO :KEEPOLD
COPY /B "%~dp0tl.dll.old" "%AOOPATCH%\tl.dll.old" >NUL 2>&1
IF ERRORLEVEL 1 GOTO :FAIL3
ECHO:        Authentieke 4.1.2 tl.dll toegevoegd als tl.dll.old als back-up.
GOTO :PATCH

:NOTPATCHED
rem KEEP ANY EXISTING BACKUP
IF NOT EXIST "%AOOPATCH%\tl.dll.old" GOTO :MAKEOLD

:KEEPOLD
ECHO:        De bestaande tl.dll.old is behouden als back-up.
GOTO :PATCH

:MAKEOLD
rem ATTEMPT BACKUP
MOVE /Y "%AOOPATCH%\tl.dll" "%AOOPATCH%\tl.dll.old" >NUL 2>&1
IF ERRORLEVEL 1 GOTO :FAIL3
ECHO:        De gevonden tl.dll is verplaatst naar tl.dll.old als back-up. 

:PATCH
rem INSTALL THE PATCH
COPY /B "%~dp0tl.dll.new" "%AOOPATCH%\tl.dll" >NUL 2>&1
IF ERRORLEVEL 1 GOTO :FAIL3
ECHO:        De reparatie 4.1.2-patch1 is toegevoegd aan tl.dll.
ECHO:
ECHO:        DE PATCH IS MET SUCCES TOEGEPAST

:CLEAN
ECHO:
ECHO:        Gebruik, om de patch om welke reden dan ook terug te draaien,
ECHO:        de procedure REVERT-4.1.2-patch1_nl.bat zoals beschreven in
ECHO:        het bestand README-4.1.2-patch1-Windows_nl.txt.   

:LEAVE
ECHO:
ECHO:
SET AOOPATCH=
PAUSE
EXIT /B 0


:FAIL1
ECHO:
ECHO * ***** HET SCRIPT IS NIET IN DE JUISTE MAP
ECHO *       APPLY-4.1.2-patch1_nl.bat moet zijn geplaatst in de map waar 
ECHO *       apache-openoffice-4.1.2-patch1-Win_x86_nl.zip werd uitgepakt
ECHO *       Het is niet ontworpen om zelfstandig te worden toegepast.
ECHO *
ECHO *       Volg de stappen in README-4.1.2-patch1-Windows_nl.txt
ECHO *       om de juiste map te maken waarin dit script is opgenomen.

:BAIL
COLOR 74
rem   Soft White background and Red text
ECHO:
ECHO:
SET AOOPATCH=
PAUSE
EXIT /B 2

:FAIL2
ECHO:
ECHO * ***** APACHE OPENOFFICE 4.1.2 NIET GEVONDEN
ECHO *       Er werd geen geldige versie van Apache OpenOffice gedetecteerd 
ECHO *       op de verwachte locatie op deze Windows PC.
ECHO *     
ECHO *       ER WERDEN GEEN WIJZIGINGEN GEMAAKT.
ECHO *       Indien zeker is dat Apache OpenOffice 4.1.2 is geïnstalleerd, 
ECHO *       bekijk dan het bestand README-4.1.2-patch1-Windows_nl.txt. 
ECHO *       Gebruik de handmatige procedure om de patch toe te passen op
ECHO *       het programma van 4.1.2.
GOTO :BAIL

:FAIL3
ECHO:
ECHO * ***** RECHTEN VOOR ADMINISTRATOR VEREIST
ECHO *       Dit batch-script, APPLY-4.1.2-patch1.bat, moet
ECHO *       worden uitgevoerd met de optie "Als administrator uitvoeren"
ECHO *       als die beschikbaar is.  Op Windows XP: voer het uit vanuit 
ECHO *       een account dat administratieve rechten heeft.
ECHO *.
ECHO *       Bekijk het bestand README-4.1.2-patch1-Windows_nl.txt voor 
ECHO *       meer details.
ECHO *       
ECHO *       ER WERDEN GEEN WIJZIGINGEN GEMAAKT.
GOTO :BAIL

rem           *** einde van APPLY-4.1.2-patch1_nl.bat ***